{% extends 'base/baseadmin.html' %}

{% block title %}
  Lista de conductores
{% endblock %}

{% block content %}
<div class="container text-center">
  <h1>Lista de conductores:</h1>
  {% if user.is_superuser %}
    <a href="{% url 'core:conductores_create' %}" class="btn btn-outline-dark form-control">Añadir un nuevo conductor</a>
    {% endif %}
    <style>
      /* Aplicar color blanco al texto dentro de la tabla */
      .table.text-white td,
      .table.text-white th {
        color: white;
      }
    </style>
    <table class="table table-striped table-hover text-white mt-3">
      <thead>
        <th>Numero de empleado</th>
        <th>Nombre de pila</th>
        <th>Apellido materno</th>
        <th>Apellido paterno</th>
        {% if user.is_superuser %}
        <th></th>
        <th>Acciones</th>
        <th></th>
        {% endif %}
      </thead>
      <tbody>
        {% for Conductores in conductor %}
          <tr>
            <td>{{ Conductores.noempleado }}</td>
            <td>{{ Conductores.nombrepila }}</td>
            <td>{{ Conductores.primerapellido }}</td>
            <td>{{ Conductores.segundoapellido }}</td>
            {% if user.is_superuser %}
            <td>
              <a href="{% url 'core:conductores_detail' Conductores.noempleado %}" class="btn btn-outline-light">Detalles</a>
            </td>
            <td>
              <a href="{% url 'core:conductores_update' Conductores.noempleado %}" class="btn btn-outline-light">Actualizar</a>
            </td>
            <td>
              <a href="{% url 'core:conductores_delete' Conductores.noempleado %}" class="btn btn-outline-light">Eliminar</a>
            </td>
            {% endif %}
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
{% endblock %}
